diff --git rtl-sdr.rules rtl-sdr.rules
index 515601a..d5e812f 100644
--- rtl-sdr.rules
+++ rtl-sdr.rules
@@ -42,6 +42,9 @@ SUBSYSTEMS=="usb", ATTRS{idVendor}=="185b", ATTRS{idProduct}=="0620", MODE:="066
 # Compro Videomate U650F (E4000)
 SUBSYSTEMS=="usb", ATTRS{idVendor}=="185b", ATTRS{idProduct}=="0650", MODE:="0666"
 
+# Compro Videomate U680F (E4000)
+SUBSYSTEMS=="usb", ATTRS{idVendor}=="185b", ATTRS{idProduct}=="0680", MODE:="0666"
+
 # GTek T803 (FC0012)
 SUBSYSTEMS=="usb", ATTRS{idVendor}=="1f4d", ATTRS{idProduct}=="b803", MODE:="0666"
 
diff --git src/rtl-sdr.c src/rtl-sdr.c
index c38298f..46bf84b 100644
--- src/rtl-sdr.c
+++ src/rtl-sdr.c
@@ -171,6 +171,7 @@ static rtlsdr_dongle_t known_devices[] = {
 	{ 0x0ccd, 0x00e0, "Terratec NOXON DAB/DAB+ USB dongle (rev 2)" },
 	{ 0x185b, 0x0620, "Compro Videomate U620F"},
 	{ 0x185b, 0x0650, "Compro Videomate U650F"},
+	{ 0x185b, 0x0680, "Compro Videomate U680F"},
 	{ 0x1f4d, 0xb803, "GTek T803" },
 	{ 0x1f4d, 0xc803, "Lifeview LV5TDeluxe" },
 	{ 0x1b80, 0xd3a4, "Twintech UT-40" },
